Bug 60575

Summary: Rename Widget::pos()
Product: WebKit Reporter: Levi Weintraub <leviw>
Component: WebCore Misc.Assignee: Levi Weintraub <leviw>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, dglazkov, eric, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Levi Weintraub 2011-05-10 13:36:35 PDT
pos is not a good name, position or location would be far better... My vote is for "location()"
Comment 1 Eric Seidel (no email) 2011-05-10 13:42:56 PDT
location() seems to match what IntRect uses.
Comment 2 Levi Weintraub 2011-05-11 14:30:37 PDT
Created attachment 93187 [details]
Patch
Comment 3 Eric Seidel (no email) 2011-05-11 14:31:25 PDT
Comment on attachment 93187 [details]
Patch

LGTM.
Comment 4 WebKit Review Bot 2011-05-11 15:36:03 PDT
Comment on attachment 93187 [details]
Patch

Attachment 93187 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/8688475
Comment 5 Levi Weintraub 2011-05-11 15:36:41 PDT
I <3 EWS.
Comment 6 Levi Weintraub 2011-05-11 15:58:11 PDT
Created attachment 93203 [details]
Patch
Comment 7 Eric Seidel (no email) 2011-05-11 16:01:14 PDT
Comment on attachment 93203 [details]
Patch

OK.
Comment 8 WebKit Commit Bot 2011-05-11 18:30:27 PDT
Comment on attachment 93203 [details]
Patch

Rejecting attachment 93203 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-3', 'land-a..." exit_code: 1

Last 500 characters of output:
autoinstalled/mechanize/_urllib2_fork.py", line 332, in _call_chain
    result = func(*args)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1170, in https_open
    return self.do_open(conn_factory, req)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mechanize/_urllib2_fork.py", line 1118, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno 60] Operation timed out>

Full output: http://queues.webkit.org/results/8687523
Comment 9 Levi Weintraub 2011-05-11 19:17:32 PDT
Thanks for restarting it.
Comment 10 WebKit Commit Bot 2011-05-11 22:45:41 PDT
Comment on attachment 93203 [details]
Patch

Clearing flags on attachment: 93203

Committed r86312: <http://trac.webkit.org/changeset/86312>
Comment 11 WebKit Commit Bot 2011-05-11 22:45:47 PDT
All reviewed patches have been landed.  Closing bug.
Comment 12 WebKit Review Bot 2011-05-11 22:56:52 PDT
http://trac.webkit.org/changeset/86312 might have broken Chromium Win Release
Comment 13 Darin Adler 2011-05-12 09:19:43 PDT
Comment on attachment 93203 [details]
Patch

Given the function is used in only 6 places, I think we would have been better off removing it entirely. It seems unnecessary to have helper functions that return pieces of the frameRect.